/*
 * muComms.h
 *
 *  Created on: Mar 27, 2026
 *      Author: ewars
 */

#ifndef INC_MYCOMMS_H_
#define INC_MYCOMMS_H_

typedef enum {
	com_WhoAmI,

	com_getTime,
	com_getMonthDay,
	com_getYear,
	com_getTimeZone,
	com_getDate,

	com_setTime,
	com_setMonthDay,
	com_setYear,

	com_setColour_hour,
	com_setColour_minute,
	com_setColour_second,
	com_setColour_background,

	com_setTimeZone,
	com_setDate,

	com_readNV,
	com_writeNV,

	com_MAX_command

} commands_e;


void RxCpltCallback();
void setRxFlag(void);

void cmd_UART_Request(void);

void cmd_RunCommand(commands_e cmd, uint32_t * input);


void cmd_WhoAmI(uint32_t);

void cmd_GetTime(uint32_t time);
void cmd_GetMonthDay(uint32_t d);
void cmd_GetYear(uint32_t d);
void cmd_GetTimeZone(uint32_t d);
void cmd_GetDate(uint32_t d);

void cmd_SetTime(uint32_t time);
void cmd_SetYear(uint32_t year);
void cmd_SetMonthDay(uint32_t);
void cmd_Set_TimeZone(uint32_t);
void cmd_setColour_hour(uint32_t colour);
void cmd_setColour_minute(uint32_t colour);
void cmd_setColour_second(uint32_t colour);
void cmd_setColour_background(uint32_t colour);

void cmd_SetDate(uint32_t d);



#endif /* INC_MYCOMMS_H_ */
